error • library

Cannot load component (27)

The interpreter failed to load the specified component.


You can get this message if you didn't compile a component because of a non-installed development package.

Let's suppose that you use Debian 3.1, and that you get this message:

ERROR: #27: Cannot load component 'gb.pcre': cannot find library file

With debian3.1 , libpcre.dev has not been installed, when Gambas (the source) has been configured and made. Note that ./configure reported a missing component.

To solve this problem, install the missing packet (in this case libpcre.dev) and compile the source again (./configure ; make ; make install)

See also: http://gambas.sourceforge.net/compilation.html - Compilation guide